Get Api Token
Retrieves complete details of a specific API Token by token ID.
SSO Realm identifier
API Token identifier
API Token details
"{\n \"id\" : \"167ab548-2b73-4eee-aeac-80752133b0c3\",\n \"apiClientId\" : \"api-client-id\",\n \"tokenName\" : \"Automation API Token\",\n \"tokenDescription\" : \"Used for generic automation purposes\",\n \"apiTokenTtl\" : 259200,\n \"accessTokenTtl\" : 480,\n \"tokenType\" : \"API_CLIENT\",\n \"tokenLastChars\" : \"VWXYZ\",\n \"principalName\" : \"api-client-id\",\n \"creationDate\" : 1748026688158,\n \"expirationDate\" : 1750526688158,\n \"lastUsedDate\" : 1748026688158,\n \"tokenStatus\" : \"ACTIVE\",\n \"tokenEndpointUrl\" : \"https://host.com/acs/t/CUSTOMER/token\",\n \"oidcIssuerUrl\" : \"https://host.com/acs/t/CUSTOMER\"\n}"
Time-To-Live lifespan in minutes of the access tokens that are generated from this API token
Client ID of the API client with which this API token is associated
Time-To-Live lifespan in minutes of the API token
The date on which the API token was created
The date on which the API token expires
Unique ID for API token in identity broker
The date on which the API token was last exchanged for a bearer token
The OIDC issuer URL
The name of the principal for which this token was generated: UPN for users and client ID for API clients
Principal active / inactive status
Full API token string that callers can use to obtain bearer access tokens
Optional description of the API token
The token endpoint URL
Sub string containing the last few characters of the full token string
User-friendly display name of the API token
API token active / expired status
API token client / user type
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/iam/ssorealms/{ssoRealmId}/api-tokens/{apiTokenId}